/* $Id: mach64_modes.h,v 1.2 1998/11/02 04:38:42 brian Exp $
******************************************************************************

   ATI Mach64 Series -- main driver function prototypes

   Copyright (C) 1997		Simon Hammett

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

/* Change Log:
 *
 * Sat  Feb 14th 1998	v1.0.13	Added Mach64_Default_Kgi_Mode, changed
 * 				 ggi mode to *_Ggi_Mode
 * Sat  Jan 17th 1998	v1.0.12	Added Construct_Default_State
 * Sat	Jan 10th 1998	v1.0.11	Added Mach_Mode to handle vga/mach switching
 * Wen	Jan  7th 1998	v1.0.10	Mach64_Set_Mode_Grfx prototype
 * Mon  Dec 15th 1997	v1.0.9	Applied patches by Richard Ayres to support
 *				CT Xpression
 * Sun  Dec 14th 1997	v1.0.8	Futher changes to support vga
 * Sat  Dec 13th 1997	v1.0.7	More prototypes
 * Thur Dec  4th 1997	v1.0.6	Moved Mach64_Chipinfo here
 * Wens Dec  3rd 1997	v1.0.5	Fixed typo
 * Tues Dec  2nd 1997	v1.0.4	Added defines for text mode info,
 				corrected spelling mistake
 * Sun  Nov 30th 1997	v1.0.3	Added Description Strings
 * Thur Nov 27th 1997	v1.0.2	Added mapping info
 * Wens Nov 26th 1997	v1.0.1	Added Prototypes, PCI_type enums/array
 * Tues Nov 25th 1997	v1.0	File Creation
 *
 */


#ifndef	_MACH64_CORE_H__
#define	_MACH64_CORE_H__

/*
 * prototypes
 */

void	mach64_adjust_timing_values_grfx( struct kgi_mode *mode );
/* not really there. 
int	Mach64_Construct_Default_State( struct kgi_display *dpy );

int	Mach64_Get_Grfx_State( struct kgi_display *dpy );
*/
int	mach64_clock_lower_grfx( struct kgi_display *dpy, struct kgi_mode *mode );
int	mach64_clock_raise_grfx( struct kgi_display *dpy, struct kgi_mode *mode );
int	mach64_clock_lower( struct kgi_display *dpy, struct kgi_mode *mode );
int	mach64_clock_raise( struct kgi_display *dpy, struct kgi_mode *mode );
/*
int	Mach64_Propose_Mode_8bpp( struct kgi_mode *mode );
int	Mach64_Propose_Mode_16bpp( struct kgi_mode *mode );
int	Mach64_Propose_Mode_24bpp( struct kgi_mode *mode );
int	Mach64_Propose_Mode_32bpp( struct kgi_mode *mode );
*/
int	mach64_propose_mode( struct kgi_display *dpy, struct kgi_mode *mode );
/*
int	Mach64_Check_Mode_8bpp( struct kgi_mode *mode );
int	Mach64_Check_Mode_16bpp( struct kgi_mode *mode );
int	Mach64_Check_Mode_24bpp( struct kgi_mode *mode );
int	Mach64_Check_Mode_32bpp( struct kgi_mode *mode );
*/
int	mach64_check_mode( struct kgi_display *dpy, struct kgi_mode *mode );

int	mach64_set_mode_grfx( struct kgi_display *dpy, struct kgi_mode *mode );
int	mach64_setup_display_grfx( struct kgi_display *dpy,
			struct kgi_mode *mode, int stride, int lines );

#endif
